SimpleTreeVisitorES6 (Java SE 12 & JDK 12 )
Keywords: jdk.nashorn.api.tree.SimpleTreeVisitorES6 class

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Class SimpleTreeVisitorES6<R,​P>

- java.lang.Object
- - jdk.nashorn.api.tree.SimpleTreeVisitorES5_1<R,​P>
  - - jdk.nashorn.api.tree.SimpleTreeVisitorES6<R,​P>

- Type Parameters:
    `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
    `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.
  All Implemented Interfaces:
    `TreeVisitor<R,​P>`

      @Deprecated(since="11",
                  forRemoval=true)
      public class SimpleTreeVisitorES6<R,​P>
      extends SimpleTreeVisitorES5_1<R,​P>

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A simple implementation of the TreeVisitor for ECMAScript edition 6.

  The visit methods corresponding to ES 6 language constructs walk the "components" of the given tree by calling accept method passing the current visitor and the additional parameter.

  For constructs introduced in later versions, `visitUnknown` is called instead which throws `UnknownTreeException`.

  Methods in this class may be overridden subject to their general contract. Note that annotating methods in concrete subclasses with `@Override` will help ensure that methods are overridden as intended.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTreeVisitorES6()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `R` | `visitClassDeclaration​(ClassDeclarationTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit class statement tree.
    `R` | `visitClassExpression​(ClassExpressionTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit class expression tree.
    `R` | `visitExportEntry​(ExportEntryTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit Module ExportEntry tree.
    `R` | `visitForOfLoop​(ForOfLoopTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit for..of statement tree.
    `R` | `visitImportEntry​(ImportEntryTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit Module ImportEntry tree.
    `R` | `visitModule​(ModuleTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit Module tree.
    `R` | `visitSpread​(SpreadTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit 'spread' expression tree.
    `R` | `visitTemplateLiteral​(TemplateLiteralTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit template literal tree.
    `R` | `visitYield​(YieldTree node, P p)` | Deprecated, for removal: This API element is subject to removal in a future version. Visit 'yield' expression tree.

    - ### Methods declared in class jdk.nashorn.api.tree.SimpleTreeVisitorES5_1

      `visitUnknown`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface jdk.nashorn.api.tree.TreeVisitor

      `visitArrayAccess, visitArrayLiteral, visitAssignment, visitBinary, visitBlock, visitBreak, visitCase, visitCatch, visitCompilationUnit, visitCompoundAssignment, visitConditionalExpression, visitContinue, visitDebugger, visitDoWhileLoop, visitEmptyStatement, visitErroneous, visitExpressionStatement, visitForInLoop, visitForLoop, visitFunctionCall, visitFunctionDeclaration, visitFunctionExpression, visitIdentifier, visitIf, visitInstanceOf, visitLabeledStatement, visitLiteral, visitMemberSelect, visitNew, visitObjectLiteral, visitParenthesized, visitProperty, visitRegExpLiteral, visitReturn, visitSwitch, visitThrow, visitTry, visitUnary, visitVariable, visitWhileLoop, visitWith`

- - ### Constructor Detail

    - #### SimpleTreeVisitorES6

          public SimpleTreeVisitorES6()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### visitModule

          public R visitModule​(ModuleTree node,
                               P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit Module tree.
      Specified by:
        `visitModule` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitModule` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitExportEntry

          public R visitExportEntry​(ExportEntryTree node,
                                    P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit Module ExportEntry tree.
      Specified by:
        `visitExportEntry` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitExportEntry` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitImportEntry

          public R visitImportEntry​(ImportEntryTree node,
                                    P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit Module ImportEntry tree.
      Specified by:
        `visitImportEntry` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitImportEntry` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitClassDeclaration

          public R visitClassDeclaration​(ClassDeclarationTree node,
                                         P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit class statement tree.
      Specified by:
        `visitClassDeclaration` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitClassDeclaration` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitClassExpression

          public R visitClassExpression​(ClassExpressionTree node,
                                        P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit class expression tree.
      Specified by:
        `visitClassExpression` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitClassExpression` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitForOfLoop

          public R visitForOfLoop​(ForOfLoopTree node,
                                  P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit for..of statement tree.
      Specified by:
        `visitForOfLoop` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitForOfLoop` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitYield

          public R visitYield​(YieldTree node,
                              P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit 'yield' expression tree.
      Specified by:
        `visitYield` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitYield` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitSpread

          public R visitSpread​(SpreadTree node,
                               P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit 'spread' expression tree.
      Specified by:
        `visitSpread` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitSpread` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor

    - #### visitTemplateLiteral

          public R visitTemplateLiteral​(TemplateLiteralTree node,
                                        P p)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Visit template literal tree.
      Specified by:
        `visitTemplateLiteral` in interface `TreeVisitor<R,​P>`
      Overrides:
        `visitTemplateLiteral` in class `SimpleTreeVisitorES5_1<R,​P>`
      Parameters:
        `node` - node being visited
        `p` - extra parameter passed to the visitor
      Returns:
        value from the visitor